Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class ExtendedRequest

    java.lang.Object
      |
      +--org.openspml.message.SpmlRequest
            |
            +--org.openspml.message.ExtendedRequest

public class ExtendedRequest
extends SpmlRequest

A class used to represent an `extendedRequest` element.

Fields inherited from class org.openspml.message.SpmlRequest
`EXEC_ASYNCHRONOUS, EXEC_SYNCHRONOUS`

Constructor Summary
`ExtendedRequest()`

Method Summary
`SpmlResponse` | `createResponse()` Build an empty SpmlRequest object that corresponds to this request.
`Attribute` | `getAttribute(java.lang.String name)`
`java.util.List` | `getAttributes()`
`java.lang.Object` | `getAttributeValue(java.lang.String name)`
`java.lang.String` | `getElementName()` Return the tag name for the request element.
`OperationIdentifier` | `getOperationIdentifier()`
`ProviderIdentifier` | `getProviderIdentifier()`
`void` | `setAttribute(Attribute a)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setAttributes(java.util.List l)`
`void` | `setOperationIdentifier(OperationIdentifier id)`
`void` | `setOperationIdentifier(java.lang.String id)`
`void` | `setProviderIdentifier(ProviderIdentifier id)`
`void` | `setProviderIdentifier(java.lang.String id)`

Methods inherited from class org.openspml.message.SpmlRequest
`dumpFile, getIdentifier, getIdentifierString, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, isAsynchronous, parseRequest, parseRequest, setAsynchronous, setIdentifier, setIdentifier, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setRequestId, toXml, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedRequest

    public ExtendedRequest()

Method Detail

### createResponse

    public SpmlResponse createResponse()

  Description copied from class: SpmlRequest
  Build an empty SpmlRequest object that corresponds to this request. Used in a few error conditions to return the expected response object when one was not actually sent back from the server.
  Overrides:
    createResponse in class SpmlRequest

### setProviderIdentifier

    public void setProviderIdentifier(ProviderIdentifier id)

### setProviderIdentifier

    public void setProviderIdentifier(java.lang.String id)

### setOperationIdentifier

    public void setOperationIdentifier(OperationIdentifier id)

### setOperationIdentifier

    public void setOperationIdentifier(java.lang.String id)

### setAttributes

    public void setAttributes(java.util.List l)

### setAttribute

    public void setAttribute(Attribute a)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

### getProviderIdentifier

    public ProviderIdentifier getProviderIdentifier()

### getOperationIdentifier

    public OperationIdentifier getOperationIdentifier()

### getAttributes

    public java.util.List getAttributes()

### getAttribute

    public Attribute getAttribute(java.lang.String name)

### getAttributeValue

    public java.lang.Object getAttributeValue(java.lang.String name)

### getElementName

    public java.lang.String getElementName()

  Description copied from class: SpmlRequest
  Return the tag name for the request element.
  Overrides:
    getElementName in class SpmlRequest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD